LibreOffice: XDispatchHelper Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XDispatchHelper Interface Referencepublished

provides an easy way to dispatch functions useful at UI level. More...

`import "XDispatchHelper.idl";`

Inheritance diagram for XDispatchHelper:

## Public Member Functions
any | executeDispatch ([in] XDispatchProvider DispatchProvider, [in] string URL, [in] string TargetFrameName, [in] long SearchFlags, [in] sequence< com::sun::star::beans::PropertyValue > Arguments)
| executes the dispatch.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides an easy way to dispatch functions useful at UI level.

See also
  XDispatch

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ executeDispatch()

any executeDispatch | ( | [in] XDispatchProvider | DispatchProvider,
|  | [in] string | URL,
|  | [in] string | TargetFrameName,
|  | [in] long | SearchFlags,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | Arguments )

executes the dispatch.

Listeners are not supported here!

Parameters

  DispatchProvider | points to the provider, which should be asked for valid dispatch objects
  URL | describes the feature which should be supported by internally used dispatch object
  TargetFrameName | specifies the frame which should be the target for this request
  SearchFlags | optional search parameter for finding the frame if no special TargetFrameName was used
  Arguments | optional arguments for this request They depend on the real implementation of the dispatch object.

Returns
  A possible result of the executed internal dispatch. The information behind this `any` depends on the dispatch!

See also
  XDispatch::dispatch()

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XDispatchHelper.idl